Package ghidra.trace.database.listing

# Class DBTraceDataMemoryView

java.lang.Object
ghidra.trace.database.listing.AbstractBaseDBTraceCodeUnitsMemoryView<DBTraceDataAdapter,DBTraceDataView>
ghidra.trace.database.listing.AbstractWithUndefinedDBTraceCodeUnitsMemoryView<DBTraceDataAdapter,DBTraceDataView>
ghidra.trace.database.listing.DBTraceDataMemoryView

All Implemented Interfaces:
  `InternalBaseCodeUnitsView<TraceData>`, `DBTraceDelegatingManager<DBTraceDataView>`, `TraceBaseCodeUnitsView<TraceData>`, `TraceDataView`

public class DBTraceDataMemoryView extends AbstractWithUndefinedDBTraceCodeUnitsMemoryView<DBTraceDataAdapter,DBTraceDataView> implements TraceDataView, InternalBaseCodeUnitsView<TraceData>
The implementation of `TraceCodeOperations.data()`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.trace.database.space.DBTraceDelegatingManager

  `DBTraceDelegatingManager.ExcConsumer<T,E extends Throwable>, DBTraceDelegatingManager.ExcFunction<T,R,E extends Throwable>, DBTraceDelegatingManager.ExcPredicate<T,E extends Throwable>, DBTraceDelegatingManager.ExcSupplier<T,E extends Throwable>`

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.listing.AbstractBaseDBTraceCodeUnitsMemoryView

  `manager`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceDataMemoryView(DBTraceCodeManager manager)`
  Construct the view

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected DBTraceDataView`
  `getView(DBTraceCodeSpace space)`
  Get the individual view from the given space

  ### Methods inherited from class ghidra.trace.database.listing.AbstractWithUndefinedDBTraceCodeUnitsMemoryView

  `emptyOrFullAddressSetUndefined, emptyOrFullIterableUndefined, emptyOrFullIterableUndefined, falseOrTrueUndefined, nullOrUndefined`

  ### Methods inherited from class ghidra.trace.database.listing.AbstractBaseDBTraceCodeUnitsMemoryView

  `containsAddress, coversRange, coversRange, get, get, get, get, get, getAddressSetView, getAddressSetView, getAfter, getAt, getBefore, getCeiling, getContaining, getFloor, getForSpace, getIntersecting, getSpace, getTrace, intersectsRange, intersectsRange, nextAddress, prevAddress, readLock, size, writeLock`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.trace.database.space.DBTraceDelegatingManager

  `checkIsInMemory, delegateAddressSet, delegateAny, delegateCollection, delegateDeleteB, delegateDeleteV, delegateFirst, delegateHashSet, delegateRead, delegateRead, delegateReadB, delegateReadI, delegateReadI, delegateReadOr, delegateWrite, delegateWriteAll, delegateWriteI, delegateWriteV`

  ### Methods inherited from interface ghidra.trace.database.listing.InternalBaseCodeUnitsView

  `get, getContaining, getForRegister, getSpace`

  ### Methods inherited from interface ghidra.trace.model.listing.TraceBaseCodeUnitsView

  `containsAddress, coversRange, coversRange, get, get, get, get, get, get, getAddressSetView, getAddressSetView, getAfter, getAt, getBefore, getCeiling, getContaining, getContaining, getFloor, getForRegister, getIntersecting, getTrace, intersectsRange, intersectsRange, size`

- ## Constructor Details

  - ### DBTraceDataMemoryView

    public DBTraceDataMemoryView(DBTraceCodeManager manager)
    Construct the view
    Parameters:
      `manager` - the manager

- ## Method Details

  - ### getView

    protected DBTraceDataView getView(DBTraceCodeSpace space)
    Description copied from class: `AbstractBaseDBTraceCodeUnitsMemoryView`
    Get the individual view from the given space
    Specified by:
      `getView` in class `AbstractBaseDBTraceCodeUnitsMemoryView<DBTraceDataAdapter,DBTraceDataView>`
    Parameters:
      `space` - the space, bound to a specific address space
    Returns:
      the view